Bug 1119271 - [Doc Bug Fix] Clustering documentation needs serious improvements
Summary: [Doc Bug Fix] Clustering documentation needs serious improvements
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: post-GA
: EAP 6.4.0
Assignee: Nidhi
QA Contact: Ladislav Thon
URL:
Whiteboard:
Depends On: 831976
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 11:59 UTC by Ladislav Thon
Modified: 2015-10-07 19:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 19:35:31 UTC
Type: Bug
dmichael: needinfo-


Attachments (Terms of Use)

Description Ladislav Thon 2014-07-14 11:59:14 UTC
With EAP 6.3, we will have at least some documentation on clustering (see bug 831976). This, however, will need serious improvements, which was already discussed with Nidhi from documentation team (CCed, among others).

The areas we need improvements in are:

1. Description of the Infinispan subsystem. There is a skeleton of this already in place, but it's just text and doesn't go into any kind of detail. Generally, I think that we should have the same amount of detail as in the Messaging chapter which describes the HornetQ subsystem (note that doesn't mean the same amount of _content_, as HornetQ is a rather large subsystem).

As I already said several times, I think that the Infinispan subsystem XSD is a worth resource here. My guess is that we will want most of it documented.

2. Description of the JGroups subsystem. Right now, there is a very small "about JGroups" chapter as a part of the chapter on Infinispan, but it's likely we need more, probably worth of its own top-level chapter. I'm not sure how much more; it's probably not needed to reach the same level of detail as with the Infinispan subsystem. On the other hand, I'd argue that the reader has to at least understand how the stacks are composed and what the most important protocols do. A reference of all available protocols probably isn't necessary.

Ideas: There's already a chapter called "Configure the JGroups Subsystem to Use TCP", maybe it should be moved to a new JGroups chapter? Also, there's a bit of documentation on clustering in cloud environment (chapter "26.2.3.1. About Clustered Instances"), but it lacks detail. Maybe it's worth expanding and/or linking from the JGroups chapter?

3. ...? The two above are the major areas we need improved, but I guess there are other. Hence the lot of people in CC -- if you can think of any clustering-related areas that need documentation improvement, please speak up.

Comment 1 Michal Karm Babacek 2015-01-20 14:53:04 UTC
Dear Tom, may I ask you to verify whether "NEW" is really the proper status of this bugzilla? Thank you :-)


Note You need to log in before you can comment on or make changes to this bug.